using System.ComponentModel.DataAnnotations;

namespace ConstructorApp.EntityLayer.Entities
{
    public class Footer
    {
        [Key]
        public int FooterID { get; set; }
        [StringLength(100)]
        public string? LogoUrl { get; set; } // Logo görsel yolu
        [StringLength(14)] 
        public string? Phone { get; set; } // 0232 111 22 33
        [StringLength(50)]
        public string? Mail { get; set; } // info@demolink.org
        public string? Facebook { get; set; } // Sosyal medya adresi1
        [StringLength(100)]
        public string? Instagram { get; set; } // Sosyal medya adresi2
        [StringLength(100)]
        public string? Linkedin { get; set; } // Sosyal medya adresi3
        [StringLength(100)]
        public string? Youtube { get; set; } // Sosyal medya adresi3
    }
}
